{% extends "base.html" %}
{% load widget_tweaks %}

{% block title %}Password reset{% endblock %}

{% block nav %}
  {% include "parts/nav.html" %}
{% endblock %}

{% block jumbotron %}
  <h1>Authentication</h1>
  <p>Password reset</p>
{% endblock %}

{% block content %}

  {% if validlink %}
    <h3>Password reset confirm</h3>

    <p>Please enter your new password twice so we can verify you typed it in correctly.</p>

    {% with WIDGET_ERROR_CLASS="is-invalid" %}
    <form method="post">
      {% csrf_token %}

      <div class="form-group row">
        <label class="col-sm-3 col-form-label" for="{{ form.new_password1.id_for_label }}">New password:</label>
        <div class="col-sm-5">
          {% render_field form.new_password1 class="form-control"%}
          {%if form.new_password1.errors%}
            {%for error in form.new_password1.errors%}
              <div class="invalid-feedback">{{ error }}</div>
            {%endfor%}
          {%endif%}
        </div>
      </div>

      <div class="form-group row">
        <label class="col-sm-3 col-form-label" for="{{ form.new_password2.id_for_label }}">New password confirmation:</label>
        <div class="col-sm-5">
          {% render_field form.new_password2 class="form-control"%}
          {%if form.new_password2.errors%}
            {%for error in form.new_password2.errors%}
              <div class="invalid-feedback">{{ error }}</div>
            {%endfor%}
          {%endif%}
        </div>
      </div>

      <div class="form-group row">
        <div class="col-sm-11 text-center">
          <button class="btn btn-success" type="submit">Change password</button>
        </div>
      </div>

    </form>
    {%endwith%}

  {% else %}

    <div class="alert alert-danger">
      The password reset link was invalid, possibly because it has already been used.
      Please request a <a href={% url "password_reset" %}>new password reset</a>.
    </div>

  {% endif %}

{% endblock %}
